Subject: bug#15919: subdir-objects and path in variable

From: Stefano Lattarini <[email-masked]>
Date: Thu, 05 Dec 2013 23:42:38 +0000

On 11/18/2013 04:49 PM, Oleg Latin wrote:
> When subdir-objects option is enabled (without subdir-objects all works
> fine) and xxx_SOURCES contains paths stored in variables when automake
> tries to create directory named by variable name not value. For example:
> 
> FOO=/path/to/foo
> foo_SOURCES=$(FOO)/bar.cpp
> 
> Automake tries create directory $(FOO) not /path/to/foo, and make can not
> find dependencies.
> I attached minimal example. It use non recursive make, but recursive make
> also fails.
> 
> In attached project problem seems to be in line 310 in generated
> Makefile.in. If I replace $(XXXDIR) with xxx manually, then all works fine.
> 
> I use autoconf 2.69, automake 1.12.1 and gmake 3.82.
> 
I believe this is another issue caused by the limitations that are at the
root of http://debbugs.gnu.org/13928 as well.  This is a well-known issue,
and we should aim at fixing it before Automake 2.0 is released.

Thanks,
  Stefano